Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.security.authorization
Interface RoleListerMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, ListerMBean, weblogic.management.utils.PropertiesListerMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

All Known Subinterfaces:
  DefaultRoleMapperMBean

public interface RoleListerMBean
extends weblogic.management.utils.PropertiesListerMBean

Provides a set of methods for listing data about roles. An Authorization-provider MBean can optionally extend this MBean. The WebLogic Server Administration Console detects when an Authorization provider extends this MBean and automatically provides a GUI for using these methods.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Properties` | `getRole(String resourceId, String roleName)` Obtain a role definition.
`Properties` | `getRoleScopedByResource(String resourceId, String roleName)` Obtain a role definition for a role scoped by a specified resource.
`String` | `listAllRoles(int maximumToReturn)` Obtain an unsorted list of role definitions.
`String` | `listChildRoles(String resourceId, int maximumToReturn)` Obtain a list of role definitions for the children of a resource.
`String` | `listRepeatingActionsRoles(String resourceId, int maximumToReturn)` Obtain a list of role definitions for the actions that are repeating on a resource.
`String` | `listRoles(String resourceId, int maximumToReturn)` Obtain a list of role definitions for a specific resource.
`String` | `listRolesByApplication(String applicationName, int maximumToReturn)` Obtain an list of role definitions by application name.
`String` | `listRolesByComponent(String componentName, String componentType, String applicationName, int maximumToReturn)` Obtain an list of role definitions for a specific J2EE component.
`String` | `listRolesByResourceType(String resourceType, int maximumToReturn)` Obtain an list of role definitions by resource type.

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### getRole

    public Properties getRole(String resourceId,
                              String roleName)
                       throws weblogic.management.utils.InvalidParameterException

  Obtain a role definition. A null is returned when no role is found.

  The `Properties` is the same as those returned from the `PropertiesListerMBean`.

  Parameters:
    `resourceId` - - a security resource identifier.
    `roleName` - - a role name.
  Throws:
    `weblogic.management.utils.InvalidParameterException`

### getRoleScopedByResource

    public Properties getRoleScopedByResource(String resourceId,
                                              String roleName)
                                       throws weblogic.management.utils.InvalidParameterException

  Obtain a role definition for a role scoped by a specified resource. This may result in a global role definition.

  If the role is defined at the specified resouce then a call to `getRole` would return the same result.

  A null is returned when no role is found.

  The `Properties` object is the same as those returned from the `PropertiesListerMBean`.

  Parameters:
    `resourceId` - - a security resource identifier.
    `roleName` - - a role name.
  Throws:
    `weblogic.management.utils.InvalidParameterException`

### listAllRoles

    public String listAllRoles(int maximumToReturn)
                        throws weblogic.management.utils.NotFoundException

  Obtain an unsorted list of role definitions.

  This method returns a cursor that you can pass to the methods from `weblogic.management.utils.PropertiesListerMBean` (which this MBean extends) to iterate through the returned list.

  Parameters:
    `maximumToReturn` - - The maximum number of entires to return. Use 0 to return all role definitions.
  Throws:
    `weblogic.management.utils.NotFoundException`

### listChildRoles

    public String listChildRoles(String resourceId,
                                 int maximumToReturn)
                          throws weblogic.management.utils.NotFoundException,
                                 weblogic.management.utils.InvalidParameterException

  Obtain a list of role definitions for the children of a resource.

  This method returns a cursor that you can pass to the methods from `weblogic.management.utils.PropertiesListerMBean` (which this MBean extends) to iterate through the returned list.

  Parameters:
    `resourceId` - - a security resource identifier.
    `maximumToReturn` - - The maximum number of entires to return. Use 0 to return all role definitions.
  Throws:
    `weblogic.management.utils.NotFoundException`
    `weblogic.management.utils.InvalidParameterException`

### listRepeatingActionsRoles

    public String listRepeatingActionsRoles(String resourceId,
                                            int maximumToReturn)
                                     throws weblogic.management.utils.NotFoundException,
                                            weblogic.management.utils.InvalidParameterException

  Obtain a list of role definitions for the actions that are repeating on a resource.

  This method returns a cursor that you can pass to the methods from `weblogic.management.utils.PropertiesListerMBean` (which this MBean extends) to iterate through the returned list.

  Parameters:
    `resourceId` - - a security resource identifier.
    `maximumToReturn` - - The maximum number of entires to return. Use 0 to return all role definitions.
  Throws:
    `weblogic.management.utils.NotFoundException`
    `weblogic.management.utils.InvalidParameterException`

### listRoles

    public String listRoles(String resourceId,
                            int maximumToReturn)
                     throws weblogic.management.utils.NotFoundException,
                            weblogic.management.utils.InvalidParameterException

  Obtain a list of role definitions for a specific resource.

  This method returns a cursor that you can pass to the methods from `weblogic.management.utils.PropertiesListerMBean` (which this MBean extends) to iterate through the returned list.

  Parameters:
    `resourceId` - - a security resource identifier.
    `maximumToReturn` - - The maximum number of entires to return. Use 0 to return all role definitions.
  Throws:
    `weblogic.management.utils.NotFoundException`
    `weblogic.management.utils.InvalidParameterException`

### listRolesByApplication

    public String listRolesByApplication(String applicationName,
                                         int maximumToReturn)
                                  throws weblogic.management.utils.NotFoundException,
                                         weblogic.management.utils.InvalidParameterException

  Obtain an list of role definitions by application name.

  This method returns a cursor that you can pass to the methods from `weblogic.management.utils.PropertiesListerMBean` (which this MBean extends) to iterate through the returned list.

  Parameters:
    `applicationName` - - The name of the application.
    `maximumToReturn` - - The maximum number of entires to return. Use 0 to return all role definitions.
  Throws:
    `weblogic.management.utils.NotFoundException`
    `weblogic.management.utils.InvalidParameterException`

### listRolesByComponent

    public String listRolesByComponent(String componentName,
                                       String componentType,
                                       String applicationName,
                                       int maximumToReturn)
                                throws weblogic.management.utils.NotFoundException,
                                       weblogic.management.utils.InvalidParameterException

  Obtain an list of role definitions for a specific J2EE component.

  This method returns a cursor that you can pass to the methods from `weblogic.management.utils.PropertiesListerMBean` (which this MBean extends) to iterate through the returned list.

  Parameters:
    `componentName` - - The name of the component.
    `componentType` - - The component type.
    `applicationName` - - The name of the application.
    `maximumToReturn` - - The maximum number of entires to return. Use 0 to return all role definitions.
  Throws:
    `weblogic.management.utils.NotFoundException`
    `weblogic.management.utils.InvalidParameterException`

### listRolesByResourceType

    public String listRolesByResourceType(String resourceType,
                                          int maximumToReturn)
                                   throws weblogic.management.utils.NotFoundException,
                                          weblogic.management.utils.InvalidParameterException

  Obtain an list of role definitions by resource type.

  This method returns a cursor that you can pass to the methods from `weblogic.management.utils.PropertiesListerMBean` (which this MBean extends) to iterate through the returned list.

  Parameters:
    `resourceType` - - The name of the resource type specified by a `weblogic.security.spi.Resource` object.
    `maximumToReturn` - - The maximum number of entires to return. Use 0 to return all role definitions.
  Throws:
    `weblogic.management.utils.NotFoundException`
    `weblogic.management.utils.InvalidParameterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD